package org.silverpeas.mobile.client.resources;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ResourcePrototype;

public class ApplicationResources_default_InlineClientBundleGenerator implements org.silverpeas.mobile.client.resources.ApplicationResources {
  private static ApplicationResources_default_InlineClientBundleGenerator _instance0 = new ApplicationResources_default_InlineClientBundleGenerator();
  private void arrowForwardInitializer() {
    arrowForward = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/arrow_forward.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M12 4l-1.41 1.41L16.17 11H4v2h12.17l-5.58 5.59L12 20l8-8z\"/></svg>";
      }
      public String getName() {
        return "arrowForward";
      }
    }
    ;
  }
  private static class arrowForwardInitializer {
    static {
      _instance0.arrowForwardInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return arrowForward;
    }
  }
  public com.google.gwt.resources.client.TextResource arrowForward() {
    return arrowForwardInitializer.get();
  }
  private void blogInitializer() {
    blog = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/blog.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 -960 960 960\" width=\"24\"><path d=\"M560-564v-68q33-14 67.5-21t72.5-7q26 0 51 4t49 10v64q-24-9-48.5-13.5T700-600q-38 0-73 9.5T560-564Zm0 220v-68q33-14 67.5-21t72.5-7q26 0 51 4t49 10v64q-24-9-48.5-13.5T700-380q-38 0-73 9t-67 27Zm0-110v-68q33-14 67.5-21t72.5-7q26 0 51 4t49 10v64q-24-9-48.5-13.5T700-490q-38 0-73 9.5T560-454ZM260-320q47 0 91.5 10.5T440-278v-394q-41-24-87-36t-93-12q-36 0-71.5 7T120-692v396q35-12 69.5-18t70.5-6Zm260 42q44-21 88.5-31.5T700-320q36 0 70.5 6t69.5 18v-396q-33-14-68.5-21t-71.5-7q-47 0-93 12t-87 36v394Zm-40 118q-48-38-104-59t-116-21q-42 0-82.5 11T100-198q-21 11-40.5-1T40-234v-482q0-11 5.5-21T62-752q46-24 96-36t102-12q58 0 113.5 15T480-740q51-30 106.5-45T700-800q52 0 102 12t96 36q11 5 16.5 15t5.5 21v482q0 23-19.5 35t-40.5 1q-37-20-77.5-31T700-240q-60 0-116 21t-104 59ZM280-494Z\"/></svg>";
      }
      public String getName() {
        return "blog";
      }
    }
    ;
  }
  private static class blogInitializer {
    static {
      _instance0.blogInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return blog;
    }
  }
  public com.google.gwt.resources.client.TextResource blog() {
    return blogInitializer.get();
  }
  private void bookonlineInitializer() {
    bookonline = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/book_online.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" enable-background=\"new 0 0 24 24\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><rect fill=\"none\" height=\"24\" width=\"24\"/><g><path d=\"M17,1H7C5.9,1,5,1.9,5,3v18c0,1.1,0.9,2,2,2h10c1.1,0,2-0.9,2-2V3C19,1.9,18.1,1,17,1z M7,18V6h10v12H7z M16,11V9.14 C16,8.51,15.55,8,15,8H9C8.45,8,8,8.51,8,9.14l0,1.96c0.55,0,1,0.45,1,1c0,0.55-0.45,1-1,1l0,1.76C8,15.49,8.45,16,9,16h6 c0.55,0,1-0.51,1-1.14V13c-0.55,0-1-0.45-1-1C15,11.45,15.45,11,16,11z M12.5,14.5h-1v-1h1V14.5z M12.5,12.5h-1v-1h1V12.5z M12.5,10.5h-1v-1h1V10.5z\"/></g></svg>";
      }
      public String getName() {
        return "bookonline";
      }
    }
    ;
  }
  private static class bookonlineInitializer {
    static {
      _instance0.bookonlineInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return bookonline;
    }
  }
  public com.google.gwt.resources.client.TextResource bookonline() {
    return bookonlineInitializer.get();
  }
  private void calendarInitializer() {
    calendar = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/calendar.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 -960 960 960\" width=\"24\"><path d=\"M200-80q-33 0-56.5-23.5T120-160v-560q0-33 23.5-56.5T200-800h40v-80h80v80h320v-80h80v80h40q33 0 56.5 23.5T840-720v560q0 33-23.5 56.5T760-80H200Zm0-80h560v-400H200v400Zm0-480h560v-80H200v80Zm0 0v-80 80Zm280 240q-17 0-28.5-11.5T440-440q0-17 11.5-28.5T480-480q17 0 28.5 11.5T520-440q0 17-11.5 28.5T480-400Zm-160 0q-17 0-28.5-11.5T280-440q0-17 11.5-28.5T320-480q17 0 28.5 11.5T360-440q0 17-11.5 28.5T320-400Zm320 0q-17 0-28.5-11.5T600-440q0-17 11.5-28.5T640-480q17 0 28.5 11.5T680-440q0 17-11.5 28.5T640-400ZM480-240q-17 0-28.5-11.5T440-280q0-17 11.5-28.5T480-320q17 0 28.5 11.5T520-280q0 17-11.5 28.5T480-240Zm-160 0q-17 0-28.5-11.5T280-280q0-17 11.5-28.5T320-320q17 0 28.5 11.5T360-280q0 17-11.5 28.5T320-240Zm320 0q-17 0-28.5-11.5T600-280q0-17 11.5-28.5T640-320q17 0 28.5 11.5T680-280q0 17-11.5 28.5T640-240Z\"/></svg>\n";
      }
      public String getName() {
        return "calendar";
      }
    }
    ;
  }
  private static class calendarInitializer {
    static {
      _instance0.calendarInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return calendar;
    }
  }
  public com.google.gwt.resources.client.TextResource calendar() {
    return calendarInitializer.get();
  }
  private void callInitializer() {
    call = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/call.svg
      public String getText() {
        return "<svg height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M20.01 15.38c-1.23 0-2.42-.2-3.53-.56-.35-.12-.74-.03-1.01.24l-1.57 1.97c-2.83-1.35-5.48-3.9-6.89-6.83l1.95-1.66c.27-.28.35-.67.24-1.02-.37-1.11-.56-2.3-.56-3.53 0-.54-.45-.99-.99-.99H4.19C3.65 3 3 3.24 3 3.99 3 13.28 10.73 21 20.01 21c.71 0 .99-.63.99-1.18v-3.45c0-.54-.45-.99-.99-.99z\"/></svg>";
      }
      public String getName() {
        return "call";
      }
    }
    ;
  }
  private static class callInitializer {
    static {
      _instance0.callInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return call;
    }
  }
  public com.google.gwt.resources.client.TextResource call() {
    return callInitializer.get();
  }
  private void chatShortcutInitializer() {
    chatShortcut = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/shortcuts/chat_shortcut.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M20 2H4c-1.1 0-1.99.9-1.99 2L2 22l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM6 9h12v2H6V9zm8 5H6v-2h8v2zm4-6H6V6h12v2z\"/></svg>\n";
      }
      public String getName() {
        return "chatShortcut";
      }
    }
    ;
  }
  private static class chatShortcutInitializer {
    static {
      _instance0.chatShortcutInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return chatShortcut;
    }
  }
  public com.google.gwt.resources.client.TextResource chatShortcut() {
    return chatShortcutInitializer.get();
  }
  private void classifiedsInitializer() {
    classifieds = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/classifieds.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 -960 960 960\" width=\"24\"><path d=\"M280-80q-33 0-56.5-23.5T200-160q0-33 23.5-56.5T280-240q33 0 56.5 23.5T360-160q0 33-23.5 56.5T280-80Zm400 0q-33 0-56.5-23.5T600-160q0-33 23.5-56.5T680-240q33 0 56.5 23.5T760-160q0 33-23.5 56.5T680-80ZM246-720l96 200h280l110-200H246Zm-38-80h590q23 0 35 20.5t1 41.5L692-482q-11 20-29.5 31T622-440H324l-44 80h480v80H280q-45 0-68-39.5t-2-78.5l54-98-144-304H40v-80h130l38 80Zm134 280h280-280Z\"/></svg>";
      }
      public String getName() {
        return "classifieds";
      }
    }
    ;
  }
  private static class classifiedsInitializer {
    static {
      _instance0.classifiedsInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return classifieds;
    }
  }
  public com.google.gwt.resources.client.TextResource classifieds() {
    return classifiedsInitializer.get();
  }
  private void contactsShortcutInitializer() {
    contactsShortcut = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/shortcuts/contacts_shortcut.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0zm0 0h24v24H0zm0 0h24v24H0z\" fill=\"none\"/><path d=\"M20 0H4v2h16V0zM4 24h16v-2H4v2zM20 4H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm-8 2.75c1.24 0 2.25 1.01 2.25 2.25s-1.01 2.25-2.25 2.25S9.75 10.24 9.75 9 10.76 6.75 12 6.75zM17 17H7v-1.5c0-1.67 3.33-2.5 5-2.5s5 .83 5 2.5V17z\"/></svg>\n";
      }
      public String getName() {
        return "contactsShortcut";
      }
    }
    ;
  }
  private static class contactsShortcutInitializer {
    static {
      _instance0.contactsShortcutInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return contactsShortcut;
    }
  }
  public com.google.gwt.resources.client.TextResource contactsShortcut() {
    return contactsShortcutInitializer.get();
  }
  private void faqInitializer() {
    faq = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/faq.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M21 6h-2v9H6v2c0 .55.45 1 1 1h11l4 4V7c0-.55-.45-1-1-1zm-4 6V3c0-.55-.45-1-1-1H3c-.55 0-1 .45-1 1v14l4-4h10c.55 0 1-.45 1-1z\"/></svg>";
      }
      public String getName() {
        return "faq";
      }
    }
    ;
  }
  private static class faqInitializer {
    static {
      _instance0.faqInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return faq;
    }
  }
  public com.google.gwt.resources.client.TextResource faq() {
    return faqInitializer.get();
  }
  private void favoriteInitializer() {
    favorite = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/star.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M12 17.27L18.18 21l-1.64-7.03L22 9.24l-7.19-.61L12 2 9.19 8.63 2 9.24l5.46 4.73L5.82 21z\"/></svg>";
      }
      public String getName() {
        return "favorite";
      }
    }
    ;
  }
  private static class favoriteInitializer {
    static {
      _instance0.favoriteInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return favorite;
    }
  }
  public com.google.gwt.resources.client.TextResource favorite() {
    return favoriteInitializer.get();
  }
  private void favoritesShortcutInitializer() {
    favoritesShortcut = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/shortcuts/favorites_shortcut.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M12 21.35l-1.45-1.32C5.4 15.36 2 12.28 2 8.5 2 5.42 4.42 3 7.5 3c1.74 0 3.41.81 4.5 2.09C13.09 3.81 14.76 3 16.5 3 19.58 3 22 5.42 22 8.5c0 3.78-3.4 6.86-8.55 11.54L12 21.35z\"/></svg>\n";
      }
      public String getName() {
        return "favoritesShortcut";
      }
    }
    ;
  }
  private static class favoritesShortcutInitializer {
    static {
      _instance0.favoritesShortcutInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return favoritesShortcut;
    }
  }
  public com.google.gwt.resources.client.TextResource favoritesShortcut() {
    return favoritesShortcutInitializer.get();
  }
  private void folderInitializer() {
    folder = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/ged/folder.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M20 6h-8l-2-2H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V8c0-1.1-.9-2-2-2zm0 12H4V8h16v10z\"/></svg>\n";
      }
      public String getName() {
        return "folder";
      }
    }
    ;
  }
  private static class folderInitializer {
    static {
      _instance0.folderInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return folder;
    }
  }
  public com.google.gwt.resources.client.TextResource folder() {
    return folderInitializer.get();
  }
  private void formInitializer() {
    form = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/form.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M19 5v14H5V5h14m1.1-2H3.9c-.5 0-.9.4-.9.9v16.2c0 .4.4.9.9.9h16.2c.4 0 .9-.5.9-.9V3.9c0-.5-.5-.9-.9-.9zM11 7h6v2h-6V7zm0 4h6v2h-6v-2zm0 4h6v2h-6zM7 7h2v2H7zm0 4h2v2H7zm0 4h2v2H7z\"/></svg>";
      }
      public String getName() {
        return "form";
      }
    }
    ;
  }
  private static class formInitializer {
    static {
      _instance0.formInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return form;
    }
  }
  public com.google.gwt.resources.client.TextResource form() {
    return formInitializer.get();
  }
  private void gedInitializer() {
    ged = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/ged.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M20 6h-8l-2-2H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V8c0-1.1-.9-2-2-2zm0 12H4V8h16v10z\"/></svg>\n";
      }
      public String getName() {
        return "ged";
      }
    }
    ;
  }
  private static class gedInitializer {
    static {
      _instance0.gedInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return ged;
    }
  }
  public com.google.gwt.resources.client.TextResource ged() {
    return gedInitializer.get();
  }
  private void helpInitializer() {
    help = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/menu/help.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24px\" viewBox=\"0 0 24 24\" width=\"24px\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm1 17h-2v-2h2v2zm2.07-7.75l-.9.92C13.45 12.9 13 13.5 13 15h-2v-.5c0-1.1.45-2.1 1.17-2.83l1.24-1.26c.37-.36.59-.86.59-1.41 0-1.1-.9-2-2-2s-2 .9-2 2H8c0-2.21 1.79-4 4-4s4 1.79 4 4c0 .88-.36 1.68-.93 2.25z\"/></svg>";
      }
      public String getName() {
        return "help";
      }
    }
    ;
  }
  private static class helpInitializer {
    static {
      _instance0.helpInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return help;
    }
  }
  public com.google.gwt.resources.client.TextResource help() {
    return helpInitializer.get();
  }
  private void homeInitializer() {
    home = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/menu/home.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24px\" viewBox=\"0 0 24 24\" width=\"24px\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M10 20v-6h4v6h5v-8h3L12 3 2 12h3v8z\"/></svg>";
      }
      public String getName() {
        return "home";
      }
    }
    ;
  }
  private static class homeInitializer {
    static {
      _instance0.homeInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return home;
    }
  }
  public com.google.gwt.resources.client.TextResource home() {
    return homeInitializer.get();
  }
  private void homeShortcutInitializer() {
    homeShortcut = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/shortcuts/home_shortcut.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24px\" viewBox=\"0 0 24 24\" width=\"24px\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M10 20v-6h4v6h5v-8h3L12 3 2 12h3v8z\"/></svg>\n";
      }
      public String getName() {
        return "homeShortcut";
      }
    }
    ;
  }
  private static class homeShortcutInitializer {
    static {
      _instance0.homeShortcutInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return homeShortcut;
    }
  }
  public com.google.gwt.resources.client.TextResource homeShortcut() {
    return homeShortcutInitializer.get();
  }
  private void inboxInitializer() {
    inbox = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/menu/inbox.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24px\" viewBox=\"0 0 24 24\" width=\"24px\"><path d=\"M0 0h24v24H0V0z\" fill=\"none\"/><path d=\"M19 3H4.99c-1.11 0-1.98.89-1.98 2L3 19c0 1.1.88 2 1.99 2H19c1.1 0 2-.9 2-2V5c0-1.11-.9-2-2-2zm0 12h-4c0 1.66-1.35 3-3 3s-3-1.34-3-3H4.99V5H19v10z\"/></svg>\n";
      }
      public String getName() {
        return "inbox";
      }
    }
    ;
  }
  private static class inboxInitializer {
    static {
      _instance0.inboxInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return inbox;
    }
  }
  public com.google.gwt.resources.client.TextResource inbox() {
    return inboxInitializer.get();
  }
  private void lessInitializer() {
    less = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/expand_less.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M12 8l-6 6 1.41 1.41L12 10.83l4.59 4.58L18 14z\"/></svg>";
      }
      public String getName() {
        return "less";
      }
    }
    ;
  }
  private static class lessInitializer {
    static {
      _instance0.lessInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return less;
    }
  }
  public com.google.gwt.resources.client.TextResource less() {
    return lessInitializer.get();
  }
  private void linkInitializer() {
    link = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/link.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M3.9 12c0-1.71 1.39-3.1 3.1-3.1h4V7H7c-2.76 0-5 2.24-5 5s2.24 5 5 5h4v-1.9H7c-1.71 0-3.1-1.39-3.1-3.1zM8 13h8v-2H8v2zm9-6h-4v1.9h4c1.71 0 3.1 1.39 3.1 3.1s-1.39 3.1-3.1 3.1h-4V17h4c2.76 0 5-2.24 5-5s-2.24-5-5-5z\"/></svg>";
      }
      public String getName() {
        return "link";
      }
    }
    ;
  }
  private static class linkInitializer {
    static {
      _instance0.linkInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return link;
    }
  }
  public com.google.gwt.resources.client.TextResource link() {
    return linkInitializer.get();
  }
  private void logoutInitializer() {
    logout = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/menu/logout.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24px\" viewBox=\"0 0 24 24\" width=\"24px\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M17 7l-1.41 1.41L18.17 11H8v2h10.17l-2.58 2.58L17 17l5-5zM4 5h8V3H4c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h8v-2H4V5z\"/></svg>";
      }
      public String getName() {
        return "logout";
      }
    }
    ;
  }
  private static class logoutInitializer {
    static {
      _instance0.logoutInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return logout;
    }
  }
  public com.google.gwt.resources.client.TextResource logout() {
    return logoutInitializer.get();
  }
  private void mediaLibInitializer() {
    mediaLib = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/media_library.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M22 16V4c0-1.1-.9-2-2-2H8c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2zm-11-4l2.03 2.71L16 11l4 5H8l3-4zM2 6v14c0 1.1.9 2 2 2h14v-2H4V6H2z\"/></svg>";
      }
      public String getName() {
        return "mediaLib";
      }
    }
    ;
  }
  private static class mediaLibInitializer {
    static {
      _instance0.mediaLibInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return mediaLib;
    }
  }
  public com.google.gwt.resources.client.TextResource mediaLib() {
    return mediaLibInitializer.get();
  }
  private void moreInitializer() {
    more = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/expand_more.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M16.59 8.59L12 13.17 7.41 8.59 6 10l6 6 6-6z\"/></svg>";
      }
      public String getName() {
        return "more";
      }
    }
    ;
  }
  private static class moreInitializer {
    static {
      _instance0.moreInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return more;
    }
  }
  public com.google.gwt.resources.client.TextResource more() {
    return moreInitializer.get();
  }
  private void newsInitializer() {
    news = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/news.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 -960 960 960\" width=\"24\"><path d=\"M280-280q17 0 28.5-11.5T320-320q0-17-11.5-28.5T280-360q-17 0-28.5 11.5T240-320q0 17 11.5 28.5T280-280Zm-40-160h80v-240h-80v240Zm200 160h280v-80H440v80Zm0-160h280v-80H440v80Zm0-160h280v-80H440v80ZM160-120q-33 0-56.5-23.5T80-200v-560q0-33 23.5-56.5T160-840h640q33 0 56.5 23.5T880-760v560q0 33-23.5 56.5T800-120H160Zm0-80h640v-560H160v560Zm0 0v-560 560Z\"/></svg>\n";
      }
      public String getName() {
        return "news";
      }
    }
    ;
  }
  private static class newsInitializer {
    static {
      _instance0.newsInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return news;
    }
  }
  public com.google.gwt.resources.client.TextResource news() {
    return newsInitializer.get();
  }
  private void peoplesInitializer() {
    peoples = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/peoples.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" enable-background=\"new 0 0 24 24\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><g><rect fill=\"none\" height=\"24\" width=\"24\"/></g><g><g/><g><g><path d=\"M16.67,13.13C18.04,14.06,19,15.32,19,17v3h4v-3 C23,14.82,19.43,13.53,16.67,13.13z\" fill-rule=\"evenodd\" fill=\"#7eb73b\"/></g><g><circle cx=\"9\" cy=\"8\" fill-rule=\"evenodd\" fill=\"#7eb73b\" r=\"4\"/></g><g><path d=\"M15,12c2.21,0,4-1.79,4-4c0-2.21-1.79-4-4-4c-0.47,0-0.91,0.1-1.33,0.24 C14.5,5.27,15,6.58,15,8s-0.5,2.73-1.33,3.76C14.09,11.9,14.53,12,15,12z\" fill-rule=\"evenodd\" fill=\"#7eb73b\"/></g><g><path d=\"M9,13c-2.67,0-8,1.34-8,4v3h16v-3C17,14.34,11.67,13,9,13z\" fill-rule=\"evenodd\" fill=\"#7eb73b\"/></g></g></g></svg>";
      }
      public String getName() {
        return "peoples";
      }
    }
    ;
  }
  private static class peoplesInitializer {
    static {
      _instance0.peoplesInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return peoples;
    }
  }
  public com.google.gwt.resources.client.TextResource peoples() {
    return peoplesInitializer.get();
  }
  private void pollInitializer() {
    poll = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/poll.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM9 17H7v-7h2v7zm4 0h-2V7h2v10zm4 0h-2v-4h2v4z\"/></svg>";
      }
      public String getName() {
        return "poll";
      }
    }
    ;
  }
  private static class pollInitializer {
    static {
      _instance0.pollInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return poll;
    }
  }
  public com.google.gwt.resources.client.TextResource poll() {
    return pollInitializer.get();
  }
  private void publicationInitializer() {
    publication = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/ged/publication.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 -960 960 960\" width=\"24\"><path d=\"M240-80q-33 0-56.5-23.5T160-160v-640q0-33 23.5-56.5T240-880h360l200 200v520q0 33-23.5 56.5T720-80H240Zm0-80h480v-480H560v-160H240v640Zm240-40q67 0 113.5-47T640-360v-160h-80v160q0 33-23 56.5T480-280q-33 0-56.5-23.5T400-360v-220q0-9 6-14.5t14-5.5q9 0 14.5 5.5T440-580v220h80v-220q0-42-29-71t-71-29q-42 0-71 29t-29 71v220q0 66 47 113t113 47ZM240-800v160-160 640-640Z\"/></svg>";
      }
      public String getName() {
        return "publication";
      }
    }
    ;
  }
  private static class publicationInitializer {
    static {
      _instance0.publicationInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return publication;
    }
  }
  public com.google.gwt.resources.client.TextResource publication() {
    return publicationInitializer.get();
  }
  private void quizzInitializer() {
    quizz = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/quiz.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" enable-background=\"new 0 0 24 24\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><g><path d=\"M0,0h24v24H0V0z\" fill=\"none\"/></g><g><g><path d=\"M4,6H2v14c0,1.1,0.9,2,2,2h14v-2H4V6z\"/><path d=\"M20,2H8C6.9,2,6,2.9,6,4v12c0,1.1,0.9,2,2,2h12c1.1,0,2-0.9,2-2V4C22,2.9,21.1,2,20,2z M14.01,15 c-0.59,0-1.05-0.47-1.05-1.05c0-0.59,0.47-1.04,1.05-1.04c0.59,0,1.04,0.45,1.04,1.04C15.04,14.53,14.6,15,14.01,15z M16.51,8.83 c-0.63,0.93-1.23,1.21-1.56,1.81c-0.13,0.24-0.18,0.4-0.18,1.18h-1.52c0-0.41-0.06-1.08,0.26-1.65c0.41-0.73,1.18-1.16,1.63-1.8 c0.48-0.68,0.21-1.94-1.14-1.94c-0.88,0-1.32,0.67-1.5,1.23l-1.37-0.57C11.51,5.96,12.52,5,13.99,5c1.23,0,2.08,0.56,2.51,1.26 C16.87,6.87,17.08,7.99,16.51,8.83z\"/></g></g></svg>";
      }
      public String getName() {
        return "quizz";
      }
    }
    ;
  }
  private static class quizzInitializer {
    static {
      _instance0.quizzInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return quizz;
    }
  }
  public com.google.gwt.resources.client.TextResource quizz() {
    return quizzInitializer.get();
  }
  private void searchInitializer() {
    search = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/menu/search.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M15.5 14h-.79l-.28-.27C15.41 12.59 16 11.11 16 9.5 16 5.91 13.09 3 9.5 3S3 5.91 3 9.5 5.91 16 9.5 16c1.61 0 3.09-.59 4.23-1.57l.27.28v.79l5 4.99L20.49 19l-4.99-5zm-6 0C7.01 14 5 11.99 5 9.5S7.01 5 9.5 5 14 7.01 14 9.5 11.99 14 9.5 14z\"/></svg>";
      }
      public String getName() {
        return "search";
      }
    }
    ;
  }
  private static class searchInitializer {
    static {
      _instance0.searchInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return search;
    }
  }
  public com.google.gwt.resources.client.TextResource search() {
    return searchInitializer.get();
  }
  private void settingsInitializer() {
    settings = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/menu/settings.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" enable-background=\"new 0 0 24 24\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><g><path d=\"M0,0h24v24H0V0z\" fill=\"none\"/><path d=\"M19.14,12.94c0.04-0.3,0.06-0.61,0.06-0.94c0-0.32-0.02-0.64-0.07-0.94l2.03-1.58c0.18-0.14,0.23-0.41,0.12-0.61 l-1.92-3.32c-0.12-0.22-0.37-0.29-0.59-0.22l-2.39,0.96c-0.5-0.38-1.03-0.7-1.62-0.94L14.4,2.81c-0.04-0.24-0.24-0.41-0.48-0.41 h-3.84c-0.24,0-0.43,0.17-0.47,0.41L9.25,5.35C8.66,5.59,8.12,5.92,7.63,6.29L5.24,5.33c-0.22-0.08-0.47,0-0.59,0.22L2.74,8.87 C2.62,9.08,2.66,9.34,2.86,9.48l2.03,1.58C4.84,11.36,4.8,11.69,4.8,12s0.02,0.64,0.07,0.94l-2.03,1.58 c-0.18,0.14-0.23,0.41-0.12,0.61l1.92,3.32c0.12,0.22,0.37,0.29,0.59,0.22l2.39-0.96c0.5,0.38,1.03,0.7,1.62,0.94l0.36,2.54 c0.05,0.24,0.24,0.41,0.48,0.41h3.84c0.24,0,0.44-0.17,0.47-0.41l0.36-2.54c0.59-0.24,1.13-0.56,1.62-0.94l2.39,0.96 c0.22,0.08,0.47,0,0.59-0.22l1.92-3.32c0.12-0.22,0.07-0.47-0.12-0.61L19.14,12.94z M12,15.6c-1.98,0-3.6-1.62-3.6-3.6 s1.62-3.6,3.6-3.6s3.6,1.62,3.6,3.6S13.98,15.6,12,15.6z\"/></g></svg>";
      }
      public String getName() {
        return "settings";
      }
    }
    ;
  }
  private static class settingsInitializer {
    static {
      _instance0.settingsInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return settings;
    }
  }
  public com.google.gwt.resources.client.TextResource settings() {
    return settingsInitializer.get();
  }
  private void shareboxInitializer() {
    sharebox = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/menu/sharebox.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M18 16.08c-.76 0-1.44.3-1.96.77L8.91 12.7c.05-.23.09-.46.09-.7s-.04-.47-.09-.7l7.05-4.11c.54.5 1.25.81 2.04.81 1.66 0 3-1.34 3-3s-1.34-3-3-3-3 1.34-3 3c0 .24.04.47.09.7L8.04 9.81C7.5 9.31 6.79 9 6 9c-1.66 0-3 1.34-3 3s1.34 3 3 3c.79 0 1.5-.31 2.04-.81l7.12 4.16c-.05.21-.08.43-.08.65 0 1.61 1.31 2.92 2.92 2.92 1.61 0 2.92-1.31 2.92-2.92s-1.31-2.92-2.92-2.92z\"/></svg>";
      }
      public String getName() {
        return "sharebox";
      }
    }
    ;
  }
  private static class shareboxInitializer {
    static {
      _instance0.shareboxInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return sharebox;
    }
  }
  public com.google.gwt.resources.client.TextResource sharebox() {
    return shareboxInitializer.get();
  }
  private void smsInitializer() {
    sms = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/sms.svg
      public String getText() {
        return "<svg height=\"24\" viewBox=\"0 0 24 24\" width=\"24\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M20 2H4c-1.1 0-1.99.9-1.99 2L2 22l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM9 11H7V9h2v2zm4 0h-2V9h2v2zm4 0h-2V9h2v2z\"/></svg>";
      }
      public String getName() {
        return "sms";
      }
    }
    ;
  }
  private static class smsInitializer {
    static {
      _instance0.smsInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return sms;
    }
  }
  public com.google.gwt.resources.client.TextResource sms() {
    return smsInitializer.get();
  }
  private void tasksShortcutInitializer() {
    tasksShortcut = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/shortcuts/tasks_shortcut.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" enable-background=\"new 0 0 24 24\" height=\"24px\" viewBox=\"0 0 24 24\" width=\"24px\"><rect fill=\"none\" height=\"24\" width=\"24\"/><path d=\"M11,7H2v2h9V7z M11,15H2v2h9V15z M16.34,11l-3.54-3.54l1.41-1.41l2.12,2.12l4.24-4.24L22,5.34L16.34,11z M16.34,19 l-3.54-3.54l1.41-1.41l2.12,2.12l4.24-4.24L22,13.34L16.34,19z\"/></svg>\n";
      }
      public String getName() {
        return "tasksShortcut";
      }
    }
    ;
  }
  private static class tasksShortcutInitializer {
    static {
      _instance0.tasksShortcutInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return tasksShortcut;
    }
  }
  public com.google.gwt.resources.client.TextResource tasksShortcut() {
    return tasksShortcutInitializer.get();
  }
  private void trashInitializer() {
    trash = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/ged/trash.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 -960 960 960\" width=\"24\"><path d=\"M280-120q-33 0-56.5-23.5T200-200v-520h-40v-80h200v-40h240v40h200v80h-40v520q0 33-23.5 56.5T680-120H280Zm400-600H280v520h400v-520ZM360-280h80v-360h-80v360Zm160 0h80v-360h-80v360ZM280-720v520-520Z\"/></svg>";
      }
      public String getName() {
        return "trash";
      }
    }
    ;
  }
  private static class trashInitializer {
    static {
      _instance0.trashInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return trash;
    }
  }
  public com.google.gwt.resources.client.TextResource trash() {
    return trashInitializer.get();
  }
  private void usercalendarInitializer() {
    usercalendar = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/menu/usercalendar.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24px\" viewBox=\"0 0 24 24\" width=\"24px\" fill=\"#000000\"><path d=\"M0 0h24v24H0z\" fill=\"none\"/><path d=\"M19 3h-1V1h-2v2H8V1H6v2H5c-1.11 0-1.99.9-1.99 2L3 19c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H5V8h14v11zM7 10h5v5H7z\"/></svg>";
      }
      public String getName() {
        return "usercalendar";
      }
    }
    ;
  }
  private static class usercalendarInitializer {
    static {
      _instance0.usercalendarInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return usercalendar;
    }
  }
  public com.google.gwt.resources.client.TextResource usercalendar() {
    return usercalendarInitializer.get();
  }
  private void webpageInitializer() {
    webpage = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/webpage.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 -960 960 960\" width=\"24\"><path d=\"M280-280h280v-80H280v80Zm0-160h400v-80H280v80Zm0-160h400v-80H280v80Zm-80 480q-33 0-56.5-23.5T120-200v-560q0-33 23.5-56.5T200-840h560q33 0 56.5 23.5T840-760v560q0 33-23.5 56.5T760-120H200Zm0-80h560v-560H200v560Zm0-560v560-560Z\"/></svg>";
      }
      public String getName() {
        return "webpage";
      }
    }
    ;
  }
  private static class webpageInitializer {
    static {
      _instance0.webpageInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return webpage;
    }
  }
  public com.google.gwt.resources.client.TextResource webpage() {
    return webpageInitializer.get();
  }
  private void workflowInitializer() {
    workflow = new com.google.gwt.resources.client.TextResource() {
      // file:/var/lib/jenkins/workspace/Silverpeas_Release/silverpeasmobile/mobile-war/src/main/java/org/silverpeas/mobile/client/resources/icons/apps/workflow.svg
      public String getText() {
        return "<svg xmlns=\"http://www.w3.org/2000/svg\" height=\"24\" viewBox=\"0 -960 960 960\" width=\"24\"><path d=\"M400-80v-164l294-292q12-12 26.5-18t30.5-6q16 0 30.5 6t26.5 18l49 50q11 12 17 26.5t6 29.5q0 15-6.5 29.5T856-374L564-80H400Zm397-348-50-49 50 49ZM480-160h50l162-162-25-25-25-25-162 162v50Zm187-187-25-25 25 25 25 25-25-25ZM430-590l-56-57 73-73H313q-9 26-28 45t-45 28v334q35 13 57.5 43.5T320-200q0 50-35 85t-85 35q-50 0-85-35t-35-85q0-39 22.5-69t57.5-43v-335q-35-13-57.5-43.5T80-760q0-50 35-85t85-35q39 0 69.5 22.5T313-800h134l-73-73 56-57 170 170-170 170Zm330-290q50 0 85 35t35 85q0 50-35 85t-85 35q-50 0-85-35t-35-85q0-50 35-85t85-35ZM200-160q17 0 28.5-11.5T240-200q0-17-11.5-28.5T200-240q-17 0-28.5 11.5T160-200q0 17 11.5 28.5T200-160Zm0-560q17 0 28.5-11.5T240-760q0-17-11.5-28.5T200-800q-17 0-28.5 11.5T160-760q0 17 11.5 28.5T200-720Zm560 0q17 0 28.5-11.5T800-760q0-17-11.5-28.5T760-800q-17 0-28.5 11.5T720-760q0 17 11.5 28.5T760-720ZM200-200Zm0-560Zm560 0Z\"/></svg>";
      }
      public String getName() {
        return "workflow";
      }
    }
    ;
  }
  private static class workflowInitializer {
    static {
      _instance0.workflowInitializer();
    }
    static com.google.gwt.resources.client.TextResource get() {
      return workflow;
    }
  }
  public com.google.gwt.resources.client.TextResource workflow() {
    return workflowInitializer.get();
  }
  private void avatarInitializer() {
    avatar = new com.google.gwt.resources.client.impl.ImageResourcePrototype(
      "avatar",
      com.google.gwt.safehtml.shared.UriUtils.fromTrustedString(externalImage),
      0, 0, 87, 113, false, false
    );
  }
  private static class avatarInitializer {
    static {
      _instance0.avatarInitializer();
    }
    static com.google.gwt.resources.client.ImageResource get() {
      return avatar;
    }
  }
  public com.google.gwt.resources.client.ImageResource avatar() {
    return avatarInitializer.get();
  }
  private void offlineInitializer() {
    offline = new com.google.gwt.resources.client.impl.ImageResourcePrototype(
      "offline",
      com.google.gwt.safehtml.shared.UriUtils.fromTrustedString(externalImage0),
      0, 0, 32, 32, false, false
    );
  }
  private static class offlineInitializer {
    static {
      _instance0.offlineInitializer();
    }
    static com.google.gwt.resources.client.ImageResource get() {
      return offline;
    }
  }
  public com.google.gwt.resources.client.ImageResource offline() {
    return offlineInitializer.get();
  }
  private void cssInitializer() {
    css = new org.silverpeas.mobile.client.resources.ApplicationCSS() {
      private boolean injected;
      public boolean ensureInjected() {
        if (!injected) {
          injected = true;
          com.google.gwt.dom.client.StyleInjector.inject(getText());
          return true;
        }
        return false;
      }
      public String getName() {
        return "css";
      }
      public String getText() {
        return (".GFSC-HHBGI{height:" + ((ApplicationResources_default_InlineClientBundleGenerator.this.offline()).getHeight() + "px")  + ";width:" + ((ApplicationResources_default_InlineClientBundleGenerator.this.offline()).getWidth() + "px")  + ";overflow:" + ("hidden")  + ";background:" + ("url(\"" + (ApplicationResources_default_InlineClientBundleGenerator.this.offline()).getSafeUri().asString() + "\") -" + (ApplicationResources_default_InlineClientBundleGenerator.this.offline()).getLeft() + "px -" + (ApplicationResources_default_InlineClientBundleGenerator.this.offline()).getTop() + "px  no-repeat")  + ";overflow:" + ("inherit")  + ";height:" + ("inherit")  + ";width:" + ("inherit")  + ";background-position-x:" + ("-5px")  + ";background-position-y:" + ("-5px")  + ";}");
      }
      public java.lang.String offline() {
        return "GFSC-HHBGI";
      }
    }
    ;
  }
  private static class cssInitializer {
    static {
      _instance0.cssInitializer();
    }
    static org.silverpeas.mobile.client.resources.ApplicationCSS get() {
      return css;
    }
  }
  public org.silverpeas.mobile.client.resources.ApplicationCSS css() {
    return cssInitializer.get();
  }
  private static java.util.HashMap<java.lang.String, com.google.gwt.resources.client.ResourcePrototype> resourceMap;
  private static com.google.gwt.resources.client.TextResource arrowForward;
  private static com.google.gwt.resources.client.TextResource blog;
  private static com.google.gwt.resources.client.TextResource bookonline;
  private static com.google.gwt.resources.client.TextResource calendar;
  private static com.google.gwt.resources.client.TextResource call;
  private static com.google.gwt.resources.client.TextResource chatShortcut;
  private static com.google.gwt.resources.client.TextResource classifieds;
  private static com.google.gwt.resources.client.TextResource contactsShortcut;
  private static com.google.gwt.resources.client.TextResource faq;
  private static com.google.gwt.resources.client.TextResource favorite;
  private static com.google.gwt.resources.client.TextResource favoritesShortcut;
  private static com.google.gwt.resources.client.TextResource folder;
  private static com.google.gwt.resources.client.TextResource form;
  private static com.google.gwt.resources.client.TextResource ged;
  private static com.google.gwt.resources.client.TextResource help;
  private static com.google.gwt.resources.client.TextResource home;
  private static com.google.gwt.resources.client.TextResource homeShortcut;
  private static com.google.gwt.resources.client.TextResource inbox;
  private static com.google.gwt.resources.client.TextResource less;
  private static com.google.gwt.resources.client.TextResource link;
  private static com.google.gwt.resources.client.TextResource logout;
  private static com.google.gwt.resources.client.TextResource mediaLib;
  private static com.google.gwt.resources.client.TextResource more;
  private static com.google.gwt.resources.client.TextResource news;
  private static com.google.gwt.resources.client.TextResource peoples;
  private static com.google.gwt.resources.client.TextResource poll;
  private static com.google.gwt.resources.client.TextResource publication;
  private static com.google.gwt.resources.client.TextResource quizz;
  private static com.google.gwt.resources.client.TextResource search;
  private static com.google.gwt.resources.client.TextResource settings;
  private static com.google.gwt.resources.client.TextResource sharebox;
  private static com.google.gwt.resources.client.TextResource sms;
  private static com.google.gwt.resources.client.TextResource tasksShortcut;
  private static com.google.gwt.resources.client.TextResource trash;
  private static com.google.gwt.resources.client.TextResource usercalendar;
  private static com.google.gwt.resources.client.TextResource webpage;
  private static com.google.gwt.resources.client.TextResource workflow;
  private static final java.lang.String externalImage = "data:image/png;base64, ";
  private static final java.lang.String externalImage0 = "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAABJklEQVR4Xu2VsUrDQBzGg+IjCIJDH6KTkguuzV0njauPoIuu6mIfzII4V+iu4F1KRNoOTiV+VxXq58XIJQiF+8FvSMh93/FPuERRIBAIrBu6J7aNSk61ErdGiRf4ius7XJ9P0oMdfr41ystoQ0shUfgIywp13heHZZZt8vrGaJWkKHiDuaN41YWWccbrG2HHnivx9IfyL4tC7e1yjjdGijNHya9iYlec4w02MOSCeuMR53hjll86FyxdfMr3rTPO8QZhU0dB3QbmnOMNwu4dBTXGY87xBofMxc+CWm84xxt7wiFw4iipcvac7nc4pxGYwpGpft/f1DI54fWNscer7ifHKCi4cMWpLS+73S1e3xr2hMM/4RplD3D+YTyGg9bHHggEAv/BOzY8lfR9nX8SAAAAAElFTkSuQmCC";
  private static com.google.gwt.resources.client.ImageResource avatar;
  private static com.google.gwt.resources.client.ImageResource offline;
  private static org.silverpeas.mobile.client.resources.ApplicationCSS css;
  
  public ResourcePrototype[] getResources() {
    return new ResourcePrototype[] {
      arrowForward(), 
      blog(), 
      bookonline(), 
      calendar(), 
      call(), 
      chatShortcut(), 
      classifieds(), 
      contactsShortcut(), 
      faq(), 
      favorite(), 
      favoritesShortcut(), 
      folder(), 
      form(), 
      ged(), 
      help(), 
      home(), 
      homeShortcut(), 
      inbox(), 
      less(), 
      link(), 
      logout(), 
      mediaLib(), 
      more(), 
      news(), 
      peoples(), 
      poll(), 
      publication(), 
      quizz(), 
      search(), 
      settings(), 
      sharebox(), 
      sms(), 
      tasksShortcut(), 
      trash(), 
      usercalendar(), 
      webpage(), 
      workflow(), 
      avatar(), 
      offline(), 
      css(), 
    };
  }
  public ResourcePrototype getResource(String name) {
    if (GWT.isScript()) {
      return getResourceNative(name);
    } else {
      if (resourceMap == null) {
        resourceMap = new java.util.HashMap<java.lang.String, com.google.gwt.resources.client.ResourcePrototype>();
        resourceMap.put("arrowForward", arrowForward());
        resourceMap.put("blog", blog());
        resourceMap.put("bookonline", bookonline());
        resourceMap.put("calendar", calendar());
        resourceMap.put("call", call());
        resourceMap.put("chatShortcut", chatShortcut());
        resourceMap.put("classifieds", classifieds());
        resourceMap.put("contactsShortcut", contactsShortcut());
        resourceMap.put("faq", faq());
        resourceMap.put("favorite", favorite());
        resourceMap.put("favoritesShortcut", favoritesShortcut());
        resourceMap.put("folder", folder());
        resourceMap.put("form", form());
        resourceMap.put("ged", ged());
        resourceMap.put("help", help());
        resourceMap.put("home", home());
        resourceMap.put("homeShortcut", homeShortcut());
        resourceMap.put("inbox", inbox());
        resourceMap.put("less", less());
        resourceMap.put("link", link());
        resourceMap.put("logout", logout());
        resourceMap.put("mediaLib", mediaLib());
        resourceMap.put("more", more());
        resourceMap.put("news", news());
        resourceMap.put("peoples", peoples());
        resourceMap.put("poll", poll());
        resourceMap.put("publication", publication());
        resourceMap.put("quizz", quizz());
        resourceMap.put("search", search());
        resourceMap.put("settings", settings());
        resourceMap.put("sharebox", sharebox());
        resourceMap.put("sms", sms());
        resourceMap.put("tasksShortcut", tasksShortcut());
        resourceMap.put("trash", trash());
        resourceMap.put("usercalendar", usercalendar());
        resourceMap.put("webpage", webpage());
        resourceMap.put("workflow", workflow());
        resourceMap.put("avatar", avatar());
        resourceMap.put("offline", offline());
        resourceMap.put("css", css());
      }
      return resourceMap.get(name);
    }
  }
  private native ResourcePrototype getResourceNative(String name) /*-{
    switch (name) {
      case 'arrowForward': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::arrowForward()();
      case 'blog': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::blog()();
      case 'bookonline': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::bookonline()();
      case 'calendar': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::calendar()();
      case 'call': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::call()();
      case 'chatShortcut': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::chatShortcut()();
      case 'classifieds': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::classifieds()();
      case 'contactsShortcut': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::contactsShortcut()();
      case 'faq': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::faq()();
      case 'favorite': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::favorite()();
      case 'favoritesShortcut': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::favoritesShortcut()();
      case 'folder': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::folder()();
      case 'form': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::form()();
      case 'ged': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::ged()();
      case 'help': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::help()();
      case 'home': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::home()();
      case 'homeShortcut': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::homeShortcut()();
      case 'inbox': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::inbox()();
      case 'less': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::less()();
      case 'link': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::link()();
      case 'logout': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::logout()();
      case 'mediaLib': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::mediaLib()();
      case 'more': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::more()();
      case 'news': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::news()();
      case 'peoples': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::peoples()();
      case 'poll': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::poll()();
      case 'publication': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::publication()();
      case 'quizz': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::quizz()();
      case 'search': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::search()();
      case 'settings': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::settings()();
      case 'sharebox': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::sharebox()();
      case 'sms': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::sms()();
      case 'tasksShortcut': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::tasksShortcut()();
      case 'trash': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::trash()();
      case 'usercalendar': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::usercalendar()();
      case 'webpage': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::webpage()();
      case 'workflow': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::workflow()();
      case 'avatar': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::avatar()();
      case 'offline': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::offline()();
      case 'css': return this.@org.silverpeas.mobile.client.resources.ApplicationResources::css()();
    }
    return null;
  }-*/;
}
